com.orsoncharts.table

## Class TableElementStyler

- java.lang.Object
- - com.orsoncharts.table.TableElementStyler

- All Implemented Interfaces:
    TableElementVisitor

      public class TableElementStyler
      extends java.lang.Object
      implements TableElementVisitor

  A table element visitor that applies style changes.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableElementStyler(java.util.Map<java.lang.String,java.awt.Font> fontChanges, java.util.Map<java.lang.String,java.awt.Color> fgChanges, java.util.Map<java.lang.String,java.awt.Color> bgChanges)` Creates a new styler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(TableElement element)` Performs the visitor's operation on the table element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableElementStyler

          public TableElementStyler(java.util.Map<java.lang.String,java.awt.Font> fontChanges,
                                    java.util.Map<java.lang.String,java.awt.Color> fgChanges,
                                    java.util.Map<java.lang.String,java.awt.Color> bgChanges)

      Creates a new styler. The keys in each map are tag values - each element with a matching tag will have the associated value applied to it.
      Parameters:
        `fontChanges` - a map of font changes.
        `fgChanges` - a map of foreground color changes.
        `bgChanges` - a map of background color changes.

  - ### Method Detail

    - #### visit

          public void visit(TableElement element)

      Description copied from interface: `TableElementVisitor`
      Performs the visitor's operation on the table element.
      Specified by:
        `visit` in interface `TableElementVisitor`
      Parameters:
        `element` - the element (`null` not permitted).